Bug 1566091 - Cinder backup uses os_brick to create a nfs share for backup and fails creating subdirectories
Summary: Cinder backup uses os_brick to create a nfs share for backup and fails creati...
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: Red Hat OpenStack
Classification: Red Hat
Component: openstack-cinder
Version: 12.0 (Pike)
Hardware: Unspecified
OS: Unspecified
high
medium
Target Milestone: z3
: 12.0 (Pike)
Assignee: Pranali Deore
QA Contact: Avi Avraham
Kim Nylander
URL:
Whiteboard:
Depends On:
Blocks: 1489127 1566071
TreeView+ depends on / blocked
 
Reported: 2018-04-11 13:52 UTC by Pranali Deore
Modified: 2018-08-20 12:47 UTC (History)
15 users (show)

Fixed In Version: openstack-cinder-11.1.0-10.el7ost
Doc Type: Bug Fix
Doc Text:
The Cinder Backup service's NFS backend assumed that the NFS server has been configured to allow the Backup service to create files and directories on the server. The Backup service runs as a non-privileged 'cinder' user, and this requires file permissions and ownership on the server be set correctly. This caused backups to fail if the NFS server wasn't configured to allow the 'cinder' user to create files and directories. With this update, when initializing the NFS backend, the Backup service checks whether the server's permissions and directory ownership are correct. The permissions and directory ownership are updated automatically to ensure the Backup service works correctly.
Clone Of: 1489127
Environment:
Last Closed: 2018-08-20 12:46:46 UTC
Target Upstream Version:


Attachments (Terms of Use)


Links
System ID Priority Status Summary Last Updated
Launchpad 1715456 None None None 2018-04-11 13:52:25 UTC
OpenStack gerrit 524728 'None' 'MERGED' 'Solving permission errors due to directory ownership on NFS' 2019-11-27 15:07:09 UTC
Red Hat Product Errata RHBA-2018:2516 None None None 2018-08-20 12:47:54 UTC

Comment 5 Tzach Shefi 2018-07-02 11:50:32 UTC
Verified on: 
openstack-cinder-11.1.0-14.el7ost.noarch

Created a Cinder 4G volume. 
Created a backup of ^ volume.

Backup created successfully without issue including container/folder path. 
OK to verify. 

Every 10.0s: cinder backup-list                                                                                                                                                                                      Mon Jul  2 07:41:12 2018

+--------------------------------------+--------------------------------------+-----------+------+------+--------------+--------------------------------------------+
| ID                                   | Volume ID                            | Status    | Name | Size | Object Count | Container                                  |
+--------------------------------------+--------------------------------------+-----------+------+------+--------------+--------------------------------------------+
| 058c85ba-17e4-4c18-9039-4a58c0307ab6 | c6e7ca56-154f-4f97-b91e-eaf3c3eebfcf | available | -    | 4    | 4            | 05/8c/058c85ba-17e4-4c18-9039-4a58c0307ab6

Comment 11 errata-xmlrpc 2018-08-20 12:46:46 UTC
Since the problem described in this bug report should be
resolved in a recent advisory, it has been closed with a
resolution of ERRATA.

For information on the advisory, and where to find the updated
files, follow the link below.

If the solution does not work for you, open a new bug report.

https://access.redhat.com/errata/RHBA-2018:2516


Note You need to log in before you can comment on or make changes to this bug.